<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="WorkersSection" type="BlackMesaClient.WorkersConfigurationSection, BlackMesaClient" />
  </configSections>
  <appSettings>
    <!-- Название сервиса -->
    <add key="ServiceName" value="BlackMesa Client" />

    <!-- Папка для хранения логов. По умолчанию Logs -->
    <add key="LogDirectory" value="Logs" />

    <!-- Кол-во логов для хранения. По умолчанию 10 -->
    <add key="LogRotate" value="10" />

    <!-- Тихий режим. По умолчанию false -->
    <add key="Quiet" value="false" />

    <!-- Для запуска под Linux. По умолчанию false -->
    <add key="LinuxCompat" value="false" />
  </appSettings>
  <WorkersSection>
    <Workers>
      <!--
      DBType               Тип СУБД. Возможные значения - MySQL/MSSQL, по умолчанию MySQL
      ConnectionString     Строка подключения к СУБД
      UsePOP3PumpSettings  Использовать логин/пароль от настроек POP3Pump. Возможные значения - true/false,
                           по умолчанию true
      ServerAddress        IP адрес или доменное имя сервера. По умолчанию 127.0.0.1
      ServerPort           TCP порт. По умолчанию 9011
      Login                Логин
      Password             Пароль
      AutoCreate           Автоматически добавлять, если были получены данные для незарегистрированного устройства. Возможные значения - true/false, по умолчанию false
      RawExtraData         Сохранять сырые значения датчиков в таблицах datagps и datagps64. Возможные значения - true/false, по умолчанию false
      -->

      <!-- Диспетчер1 -->
      <add
        ConnectionString="server=localhost; port=3306; database=busmarket; user=root; password=Aeban1eish?e4aev;"
        UsePOP3PumpSettings="false"
        ServerAddress="lwco.biz"
        ServerPort="9011"
        Login="busmarket_8"
        Password="busmarket_8_2024"
        AutoCreate="true"
        RawExtraData="false"
      />
      <!-- /Диспетчер2 -->
     </Workers>
  </WorkersSection>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" />
  </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>